
QGIS Application - Bug report #9947

WMTS Returned image is flawed.

2014-03-29 10:11 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.2.0 Regression?: No

Operating System: ALL Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18448

Description

This service http://gis.ecan.govt.nz/arcgis/rest/services/Imagery/MapServer/WMTS/1.0.0/WMTSCapabilities.xml displays map tile at the

highest zoom levels (0-3), however once I zoom further in some tiles do not turn up. QGIS returns errors "Returned image is flawed" and

reports the URL for the flawed image. However when I load the reported URL in a web browser the image displays OK.

History

#1 - 2014-03-29 10:15 PM - Jeremy Palmer

Another interesting observation is the image return type is PNG for zoom levels 0-3. Zoom levels >3 are JPG. The format of the WMTS layer is

image/jpgpng.

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#5 - 2019-03-09 03:11 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
